import 'package:airtable/src/airtable.dart';
import 'package:flutter_test/flutter_test.dart';


void main() {
  
  test('Testing the request of airtable without any parameters', () async{
   // Airtable.initilize("keyVaqSdjsATPOprd", "appY4mo85ZHdLv5wA");

    Airtable airtable = Airtable();
    var response = await airtable.queryByTable("Tags");
    print(response);
    assert(response != null);
  });

  test('Testing the update method', ()async{
    Airtable.initilize("keyVaqSdjsATPOprd", "appY4mo85ZHdLv5wA");
    Airtable airtable = Airtable();
    var response = await airtable.updateItem("6jTV3zb16Bf", "Users", MapEntry("Favorites", "recdvDkTsLhpOFmfM"));
    print(response);
  });

  test("Querying by String array", ()async{
    Airtable.initilize("keyVaqSdjsATPOprd", "appY4mo85ZHdLv5wA");
    Airtable airtable = Airtable();
    var response = await airtable.queryByNames("Products", "Title", ["NIVEA", "Curl Enhancing Smoothie"]);
    print(response);
  });
}
